Bug 980079 - Snowdrop installer does not work due to missing content of src directory
Snowdrop installer does not work due to missing content of src directory
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity high
: CR2
: 2.3.0
Assigned To: Marek Novotny
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 07:31 EDT by Tomas Repel
Modified: 2013-07-16 07:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:05:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2013-07-01 07:31:04 EDT
Description of problem:

In jboss-wfk-2.3.0.CR1-snowdrop-bin.zip, there is an snowdrop installer, but there is an empty `src` directory. This directory should contain required files for installer to work.

Version-Release number of selected component (if applicable):

WFK 2.3.0.CR1

How reproducible:

Always.

Steps to Reproduce:
1. create an clean installation of EAP 6.1.0
2. unzip jboss-wfk-2.3.0.CR1-snowdrop-bin.zip
3. use the installer as described in jboss-wfk-2.3.0/installer/README.md

Actual results:

[ERROR] Failed to execute goal com.google.code.maven-config-processor-plugin:maven-config-processor-plugin:2.3:process (snowdrop-install) on project snowdrop-install: Error during config processing: File not found [src/main/snowdrop/install.xml]

Expected results:

It installs snowdrop properly.
Comment 1 Marek Novotny 2013-07-01 07:42:35 EDT
assembly misses extra *. This should be fixed or used from jboss-wfk-2.3.0.CR1-snowdrop-src.zip
Comment 2 Tomas Repel 2013-07-01 08:23:47 EDT
I have just checked the installer from src, the default Spring version should be 3.2.3.RELEASE, but after Snowdrop installation the EAP module contains Spring jars of version 3.2.2.RELEASE.
Comment 7 Tomas Repel 2013-07-03 06:38:49 EDT
Verified in WFK 2.3.0.CR2.

Note You need to log in before you can comment on or make changes to this bug.